{"openapi":"3.0.0","info":{"title":"AAASWatch API仕様","contact":{},"version":"1.0.0"},"servers":[{"url":"https://api.aaswatch.io","variables":{}}],"paths":{"/login":{"post":{"description":"AAASWatch APIのアクセストークンを取得するために使用します。","tags":["1. 認証"],"summary":"ユーザーログイン","requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_login"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_login"}}}}}}},"/refreshLogin":{"post":{"description":"認証APIを介してユーザーが取得したアクセストークンが期限切れになる直前に、このAPIを呼び出すことで、リフレッシトークンを使って新しいアクセストークンを取得することが出来ます。","tags":["1. 認証"],"summary":"ユーザーログインリフレッシュ","requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_refreshtoken"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_login"}}}}}}},"/watch/list":{"get":{"description":"デバイス基本情報の一覧を照会します。","tags":["2. デバイス・バインディング"],"summary":"デバイス基本情報一覧","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_list"}}}}}}},"/watch/listWithUserBasic":{"get":{"description":"デバイス基本+利用者情報+管理者情報の一覧を照会します。","tags":["2. デバイス・バインディング"],"summary":"デバイス基本+利用者情報+管理者情報一覧照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_listWithUSer"}}}}}}},"/watch/{imei}":{"get":{"description":"特定デバイスの詳細データを照会します。","tags":["2. デバイス・バインディング"],"summary":"特定デバイスの詳細データ照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_imei"}}}}}}},"/watch/insert":{"post":{"description":"デバイスを追加します。","tags":["2. デバイス・バインディング"],"summary":"デバイスの追加","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_imei_devname"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/delete":{"post":{"description":"デバイスを削除します。","tags":["2. デバイス・バインディング"],"summary":"デバイスの削除","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_imei"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/update/name":{"post":{"description":"デバイス名を更新します。","tags":["2. デバイス・バインディング"],"summary":"デバイス名の更新","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_imei_devname"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/device-binding/bind":{"post":{"description":"デバイスと利用者をバインドします。","tags":["2. デバイス・バインディング"],"summary":"デバイスバインド","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_userid_imei"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/device-binding/unbind":{"post":{"description":"デバイスと利用者のバインドを解除します。","tags":["2. デバイス・バインディング"],"summary":"デバイスアンバインド","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_userid_imei"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/device-binding/log":{"get":{"description":"デバイスのバインド履歴を照会します。","tags":["2. デバイス・バインディング"],"summary":"デバイスバインド履歴照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_bindlog"}}}}}}},"/user/current":{"get":{"description":"現在のログイン利用者（管理者）を照会します。","tags":["3. 利用者管理"],"summary":"ログインユーザー照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_userdata"}}}}}}},"/user/list":{"get":{"description":"利用者一覧を照会します。","tags":["3. 利用者管理"],"summary":"利用者一覧照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_userlist"}}}}}}},"/user/insert":{"post":{"description":"利用者を追加します。","tags":["3. 利用者管理"],"summary":"利用者の追加","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_user_insert"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result_user"}}}}}}},"/user/delete":{"post":{"description":"利用者を削除します。","tags":["3. 利用者管理"],"summary":"利用者の削除","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_id"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user/updateProfile":{"post":{"description":"利用者プロファイルを更新します。","tags":["3. 利用者管理"],"summary":"利用者プロファイルの更新","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_id_name"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user/{userId}":{"get":{"description":"特定利用者の情報を照会します。","tags":["3. 利用者管理"],"summary":"特定利用者のデータ照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"userId","in":"path","description":"利用者ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_userdata"}}}}}}},"/user-status/master/all":{"get":{"description":"利用者現状とデバイス現状マスタ一覧を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"利用者現状とデバイス現状マスタ一覧","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_masterall"}}}}}}},"/user-status/byUserId":{"get":{"description":"特定利用者の現状を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"特定利用者の現状","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"userId","in":"query","description":"利用者ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_byuserid"}}}}}}},"/user/temperature/{userID}":{"get":{"description":"温度履歴を照会します。(開始日または開始時間選択指定)","tags":["4. 利用者状況・履歴照会"],"summary":"温度履歴照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"userID","in":"path","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"測定開始日","required":false,"schema":{"type":"string"}},{"name":"startTime","in":"query","description":"測定開始時間","required":false,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_temperature"}}}}}}},"/user/heartRate/{userID}":{"get":{"description":"心拍数履歴を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"心拍数履歴照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"userID","in":"path","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_heartrate"}}}}}}},"/user/bloodPressure/{userID}":{"get":{"description":"血圧履歴を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"血圧履歴照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"userID","in":"path","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_bloodpressure"}}}}}}},"/user/bloodOxygen/{userID}":{"get":{"description":"血中酸素濃度履歴を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"血中酸素濃度履歴照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"userID","in":"path","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_bloodoxygen"}}}}}}},"/user/location/{userID}":{"get":{"description":"位置履歴を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"位置履歴照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"userID","in":"path","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_location"}}}}}}},"/user/stepCount/{userID}":{"get":{"description":"歩数履歴を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"歩数履歴照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"userID","in":"path","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_stepcount"}}}}}}},"/movement-history/temperature":{"get":{"description":"移動履歴と体温を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"移動履歴と体温の照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_temperature_loc"}}}}}}},"/movement-history/heartRate":{"get":{"description":"移動履歴と心拍数を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"移動履歴と心拍数の照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_heartrate_loc"}}}}}}},"/movement-history/bloodPressure":{"get":{"description":"移動履歴と血圧を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"移動履歴と血圧の照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_bloodpressure_loc"}}}}}}},"/movement-history/bloodOxygen":{"get":{"description":"移動履歴と血中酸素濃度を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"移動履歴と血中酸素濃度の照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_bloodoxygen_loc"}}}}}}},"/movement-history/stepCount":{"get":{"description":"移動履歴と歩数を照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"移動履歴と歩数の照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_stepcount_loc"}}}}}}},"/movement-history/all":{"get":{"description":"移動履歴と全データを照会します。","tags":["4. 利用者状況・履歴照会"],"summary":"移動履歴と全データの照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"startDate","in":"query","description":"測定開始日","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"利用者ID","required":true,"schema":{"type":"string"}},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_all_loc"}}}}}}},"/watch/intervalSetting":{"get":{"description":"計測周期設定を照会します。","tags":["5. デバイス設定"],"summary":"計測周期設定照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"query","description":"imei","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_intervalsetting"}}}}}}},"/watch/changeGPSInterval":{"post":{"description":"位置測定周期を変更します。","tags":["5. デバイス設定"],"summary":"位置測定周期を更","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_imei_period"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/changeBodyTemperatureInterval":{"post":{"description":"温度測定周期を変更します。","tags":["5. デバイス設定"],"summary":"温度測定周期変更","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_imei_period"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/changeHeartRateBloodPressOxygenInterval":{"post":{"description":"心拍数などの測定周期を変更します。","tags":["5. デバイス設定"],"summary":"心拍数などの測定周期変更","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_imei_period"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/contacts/{imei}":{"get":{"description":"時計の連絡先一覧を照会します。","tags":["5. デバイス設定"],"summary":"時計の連絡先一覧照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_contacts"}}}}}},"post":{"description":"時計の連絡先一覧を設定します。","tags":["5. デバイス設定"],"summary":"時計の連絡先一覧設定","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_contacts"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/sosContacts/{imei}":{"get":{"description":"時計のSOS連絡先一覧を照会します。","tags":["5. デバイス設定"],"summary":"時計のSOS連絡先一覧照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}},{"name":"withSosDialTime","in":"query","description":"SOSダイアル時間設定を返却フラグ","required":true,"schema":{"type":"boolean","default":"false"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/rsp_soscontacts"},{"$ref":"#/components/schemas/rsp_soscontacts_with_dial_time"}]},"examples":{"response1":{"summary":"withSosDialTime=false(従来のレスポンス)","value":{"result":true,"data":[{"phoneNumber":"string","name":"string"}]}},"response2":{"summary":"withSosDialTime=true(sosダイアル時間も返却するレスポンス)","value":{"result":true,"data":{"sosContacts":[{"phoneNumber":"string","name":"string"}],"sosDialTimeInSecs":30}}}}}}}}},"post":{"description":"時計のSOS連絡先一覧を設定します。","tags":["5. デバイス設定"],"summary":"時計のSOS連絡先一覧設定","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}},{"name":"sosDialTimeInSecs","in":"query","description":"SOSダイアル時間","required":false,"schema":{"type":"number","default":30}}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_soscontacts"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/threshold/{imei}":{"get":{"description":"時計の閾値を照会します。","tags":["5. デバイス設定"],"summary":"時計の閾値照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_threshold"}}}}}}},"/watch/threshold/temperature/{imei}":{"post":{"description":"体温閾値を設定します。","tags":["5. デバイス設定"],"summary":"体温閾値の設定","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_fromto"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/threshold/heartRate/{imei}":{"post":{"description":"心拍数閾値を設定します。","tags":["5. デバイス設定"],"summary":"心拍数閾値の設定","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_fromto"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/threshold/systolicBloodPressure/{imei}":{"post":{"description":"収縮期血圧の閾値を設定します。","tags":["5. デバイス設定"],"summary":"収縮期血圧閾値の設定","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_fromto"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/threshold/daistolicBloodPressure/{imei}":{"post":{"description":"拡張期血圧の閾値を設定します。","tags":["5. デバイス設定"],"summary":"拡張期血圧閾値の設定","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_fromto"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/threshold/bloodOxygen/{imei}":{"post":{"description":"血中酸素濃度の閾値を設定します。","tags":["5. デバイス設定"],"summary":"血中酸素濃度閾値の設定","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_from"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/threshold/enviromentTemperature/{imei}":{"post":{"description":"環境温度の閾値を設定します。","tags":["5. デバイス設定"],"summary":"環境温度の設定","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_fromto"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}":{"get":{"description":"時計のスイッチ設定を照会します。","tags":["5. デバイス設定"],"summary":"時計のスィッチ設定照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_switch"}}}}}}},"/watch/switch/{imei}/gps/on":{"post":{"description":"GPSを使用可能にします。","tags":["5. デバイス設定"],"summary":"GPS使用可能","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/gps/off":{"post":{"description":"GPSを使用不可にします。","tags":["5. デバイス設定"],"summary":"GPS使用不可","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/bloodOxygen/on":{"post":{"description":"血中酸素濃度を測定可能にします。","tags":["5. デバイス設定"],"summary":"血中酸素濃度測定可能","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/bloodOxygen/off":{"post":{"description":"血中酸素濃度を測定不可にします。","tags":["5. デバイス設定"],"summary":"血中酸素濃度測定不可","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/bloodPressure/on":{"post":{"description":"血圧を測定可能にします。","tags":["5. デバイス設定"],"summary":"血圧測定可能","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/bloodPressure/off":{"post":{"description":"血圧を測定不可にします。","tags":["5. デバイス設定"],"summary":"血圧測定不可","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/camera/on":{"post":{"description":"カメラを使用可能にします。","tags":["5. デバイス設定"],"summary":"カメラ使用可能","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/camera/off":{"post":{"description":"カメラを使用不可にします。","tags":["5. デバイス設定"],"summary":"カメラ使用不可","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/heartRate/on":{"post":{"description":"心拍数を測定可能にします。","tags":["5. デバイス設定"],"summary":"心拍数測定可能","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/heartRate/off":{"post":{"description":"心拍数を測定不可にします。","tags":["5. デバイス設定"],"summary":"心拍数測定不可","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/location/on":{"post":{"description":"位置測定可能にします。","tags":["5. デバイス設定"],"summary":"位置測定可能","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/location/off":{"post":{"description":"位置測定不可にします。","tags":["5. デバイス設定"],"summary":"位置測定不可","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/stepCount/on":{"post":{"description":"歩数測定可能にします。","tags":["5. デバイス設定"],"summary":"歩数測定可能","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/stepCount/off":{"post":{"description":"歩数測定不可にします。","tags":["5. デバイス設定"],"summary":"歩数測定不可","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/temperature/on":{"post":{"description":"温度測定可能にします。","tags":["5. デバイス設定"],"summary":"温度測定可能","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/temperature/off":{"post":{"description":"温度測定不可にします。","tags":["5. デバイス設定"],"summary":"温度測定不可","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/whitelist/on":{"post":{"description":"ホワイトリスト(連絡先)以外の着信を自動で拒否する","tags":["5. デバイス設定"],"summary":"着信ホワイトリスト有効","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/switch/{imei}/whitelist/off":{"post":{"description":"ホワイトリスト(連絡先)以外の着信を自動で拒否しない","tags":["5. デバイス設定"],"summary":"着信ホワイトリスト無効","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user-notification/setting":{"get":{"description":"通知受け取り設定を照会します。","tags":["6. ユーザー通知"],"summary":"通知受け取り設定照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_notification_setting"}}}}}},"post":{"description":"通知受け取りを設定します。","tags":["6. ユーザー通知"],"summary":"通知受け取り設定","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/s_notification_setting"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user-notification/registry":{"post":{"description":"ＰＵＳＨ通知を可能に設定します。","tags":["6. ユーザー通知"],"summary":"ＰＵＳＨ通知可能の設定","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/s_notice_registry"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user-notification/unregistry":{"post":{"description":"ＰＵＳＨ通知を不可に設定します。","tags":["6. ユーザー通知"],"summary":"ＰＵＳＨ通知不可の設定","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/s_notice_registry"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user-notification/notice/list":{"get":{"description":"お知らせ一覧を照会します。","tags":["6. ユーザー通知"],"summary":"お知らせ一覧照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_notice_list"}}}}}}},"/user-notification/notice/read":{"post":{"description":"お知らせを既読にします。","tags":["6. ユーザー通知"],"summary":"お知らせ既読","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_id"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user-notification/notice/delete":{"post":{"description":"お知らせを削除します。","tags":["6. ユーザー通知"],"summary":"お知らせ削除","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_id"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user-notification/alert/list":{"get":{"description":"アラート一覧を照会します。","tags":["6. ユーザー通知"],"summary":"アラート一覧照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_alert_list"}}}}}}},"/user-notification/alert/read":{"post":{"description":"アラートを既読にします。","tags":["6. ユーザー通知"],"summary":"アラート既読","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_id"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user-notification/alert/delete":{"post":{"description":"アラートを削除します。","tags":["6. ユーザー通知"],"summary":"アラート削除","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_id"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/app-extend-link/setting":{"get":{"description":"アプリ連携設定を照会します。","tags":["7. 通知拡張連携"],"summary":"アプリ連携設定照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_app_link"}}}}}},"post":{"description":"アプリ連携を設定します。","tags":["7. 通知拡張連携"],"summary":"アプリ連携の設定","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_app_link"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/user/settingsInfo":{"post":{"description":"ユーザー設定情報を照会します。","tags":["3. 利用者管理"],"summary":"ユーザー設定情報の照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/s_userId"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_settinginfo"}}}}}}},"/user/settingsInfos":{"post":{"description":"ユーザー設定情報リストを照会します。","tags":["3. 利用者管理"],"summary":"ユーザー設定情報リストの照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/s_userIds"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_settinginfos"}}}}}}},"/user/addSettingInfo":{"post":{"description":"ユーザー情報を登録・更新します。","tags":["3. 利用者管理"],"summary":"ユーザー情報の登録・更新","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_settinginfo"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/settinginfo/{imei}":{"get":{"description":"デバイス設定情報を照会します。","tags":["5. デバイス設定"],"summary":"デバイス設定情報照会","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_device_setting"}}}}}}},"/group/list":{"get":{"description":"ユーザーグループ一覧を照会します。","tags":["3. 利用者管理"],"summary":"ユーザーグループ一覧の照会","parameters":[{"$ref":"#/components/parameters/parm_security"}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_grouplist"}}}}}}},"/group/insert":{"post":{"description":"グループ情報を追加します。","tags":["3. 利用者管理"],"summary":"グループ情報の追加","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_groupinsert"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/group/update":{"post":{"description":"グループ情報を更新します。","tags":["3. 利用者管理"],"summary":"グループ情報の更新","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_groupupdate"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/group/delete":{"post":{"description":"グループ情報を削除します。","tags":["3. 利用者管理"],"summary":"グループ情報の削除","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_groupupdate"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/contact/selectall":{"get":{"description":"利用者の連絡帳を照会します。","tags":["8. ログインユーザーの連絡帳管理"],"summary":"利用者連絡帳照会","responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_contactall"}}}}}}},"/contact/insert":{"post":{"description":"連絡帳へ連絡先を追加します。","tags":["8. ログインユーザーの連絡帳管理"],"summary":"連絡帳へ連絡先追加","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_name_tel"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/contact/update":{"post":{"description":"連絡帳の連絡先を更新します。","tags":["8. ログインユーザーの連絡帳管理"],"summary":"連絡帳の連絡先更新","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_id_name_tel"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/contact/delete":{"post":{"description":"連絡帳から連絡先を削除します。","tags":["8. ログインユーザーの連絡帳管理"],"summary":"連絡帳の連絡先削除","parameters":[{"$ref":"#/components/parameters/parm_security"}],"requestBody":{"description":"設定パラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/req_tel"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/downlinkMessage/{imei}/send":{"post":{"description":"時計にメッセージ送信をします。","tags":["9. 時計ダウンリンクメッセージ"],"summary":"時計にメッセージ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"呼び出しパラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dl_msg"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/downlinkMessage/{imei}/list":{"get":{"description":"時計に送信済みリスト一覧を照会します。","tags":["9. 時計ダウンリンクメッセージ"],"summary":"時計に送信済みリスト一覧","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"ページネーションパラメータ：ページサイズ","required":true,"schema":{"type":"integer"}},{"name":"pageNumber","in":"query","description":"ページネーションパラメータ：ページ番号","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_dl_msg_list"}}}}}}},"/downlinkMessage/myList":{"get":{"description":"時計に送信済みMYリスト一覧を照会します。","tags":["9. 時計ダウンリンクメッセージ"],"summary":"時計に送信済みMYリスト一覧","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"pageSize","in":"query","description":"ページネーションパラメータ：ページサイズ","required":true,"schema":{"type":"integer"}},{"name":"pageNumber","in":"query","description":"ページネーションパラメータ：ページ番号","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_dl_msg_list_my"}}}}}}},"/watch/sedentaryWarningSettings/{imei}":{"get":{"description":"長時間静止注意設定を取得します。","tags":["10. 長時間静止注意設定"],"summary":"長時間静止注意設定を取得","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_sedentaryWarningSettings"}}}}}},"post":{"description":"長時間静止注意設定を取得します。","tags":["10. 長時間静止注意設定"],"summary":"長時間静止注意設定を更新","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"呼び出しパラメータ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/s_sedentaryWarningSettings"}}}},"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_sedentaryWarningSettings"}}}}}}},"/watch/command/{imei}/measureTemperatureNow":{"post":{"description":"体温を即時測定する命令を時計へ下します。","tags":["11. 時計への命令の送信"],"summary":"体温を即時測定する命令を時計へ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/command/{imei}/measureHeartRateNow":{"post":{"description":"心拍を即時測定する命令を時計へ下します。","tags":["11. 時計への命令の送信"],"summary":"心拍を即時測定する命令を時計へ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/command/{imei}/measureBloodPressureNow":{"post":{"description":"血圧を即時測定する命令を時計へ下します。","tags":["11. 時計への命令の送信"],"summary":"血圧を即時測定する命令を時計へ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/command/{imei}/measureBloodOxygenNow":{"post":{"description":"血中酸素濃度を即時測定する命令を時計へ下します。","tags":["11. 時計への命令の送信"],"summary":"血中酸素濃度を即時測定する命令を時計へ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/command/{imei}/locateNow":{"post":{"description":"位置を即時測定する命令を時計へ下します。","tags":["11. 時計への命令の送信"],"summary":"位置を即時測定する命令を時計へ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/command/{imei}/reboot":{"post":{"description":"再起動する命令を時計へ下します。","tags":["11. 時計への命令の送信"],"summary":"再起動する命令を時計へ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/command/{imei}/poweroff":{"post":{"description":"電源オフする命令を時計へ下します。","tags":["11. 時計への命令の送信"],"summary":"電源オフする命令を時計へ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}},"/watch/command/{imei}/reset":{"post":{"description":"初期化命令を時計へ下します。","tags":["11. 時計への命令の送信"],"summary":"初期化命令を時計へ送信","parameters":[{"$ref":"#/components/parameters/parm_security"},{"name":"imei","in":"path","description":"デバイスの識別番号(International Mobile Equipment Identifier)","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK / 成功時レスポンス","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rsp_result"}}}}}}}},"components":{"schemas":{"req_login":{"type":"object","properties":{"email":{"$ref":"#/components/schemas/s_email"},"password":{"$ref":"#/components/schemas/s_password"}}},"req_refreshtoken":{"type":"object","properties":{"refreshToken":{"$ref":"#/components/schemas/s_refreshToken"}}},"req_imei":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"}}},"req_imei_devname":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"deviceName":{"$ref":"#/components/schemas/s_deviceName"}}},"req_userid_imei":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"imei":{"$ref":"#/components/schemas/s_imei"}}},"req_user_insert":{"type":"object","description":"新規ユーザー時のパラメータ","properties":{"name":{"description":"名前","type":"string"},"katakana":{"description":"カタカナ","type":"string"},"job":{"description":"職業","type":"string"},"gender":{"description":"性別","type":"string"},"birthday":{"description":"誕生日","type":"string"},"height":{"description":"身長","type":"string"},"weight":{"description":"体重","type":"string"}}},"req_id":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"}}},"req_id_name":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"name":{"$ref":"#/components/schemas/s_name"}}},"req_imei_period":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"period":{"$ref":"#/components/schemas/s_period"}}},"req_name_tel":{"type":"object","properties":{"name":{"$ref":"#/components/schemas/s_name"},"telephoneNumber":{"$ref":"#/components/schemas/s_telNumber"}}},"req_id_name_tel":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"name":{"$ref":"#/components/schemas/s_name"},"telephoneNumber":{"$ref":"#/components/schemas/s_telNumber"}}},"req_tel":{"type":"object","properties":{"telephoneNumber":{"$ref":"#/components/schemas/s_telNumber"}}},"req_contacts":{"type":"array","items":{"type":"object","properties":{"telephoneNumber":{"$ref":"#/components/schemas/s_telNumber"},"name":{"$ref":"#/components/schemas/s_name"}}}},"req_soscontacts":{"type":"array","items":{"type":"object","properties":{"phoneNumber":{"$ref":"#/components/schemas/s_telNumber"},"name":{"$ref":"#/components/schemas/s_name"}}}},"req_fromto":{"type":"object","properties":{"from":{"$ref":"#/components/schemas/s_from"},"to":{"$ref":"#/components/schemas/s_to"}}},"req_from":{"type":"object","properties":{"from":{"$ref":"#/components/schemas/s_from"}}},"req_app_link":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"lineworksBotSettings":{"$ref":"#/components/schemas/s_lineworks_setting"}}},"req_email":{"type":"object","properties":{"email":{"$ref":"#/components/schemas/s_email"}}},"req_email_pass_token":{"type":"object","properties":{"email":{"$ref":"#/components/schemas/s_email"},"password":{"$ref":"#/components/schemas/s_password"},"token":{"$ref":"#/components/schemas/s_token"}}},"req_password":{"type":"object","properties":{"password":{"$ref":"#/components/schemas/s_password"}}},"req_settinginfo":{"type":"object","properties":{"intervalSetting":{"$ref":"#/components/schemas/s_intervalSetting"},"switchFlag":{"$ref":"#/components/schemas/s_switchFlag"},"threshold":{"$ref":"#/components/schemas/s_threshold"},"userid":{"$ref":"#/components/schemas/s_userId"}}},"req_groupinsert":{"type":"object","properties":{"groupName":{"$ref":"#/components/schemas/s_groupName"},"loginInfo":{"$ref":"#/components/schemas/s_loginInfo"},"targetUserInfo":{"$ref":"#/components/schemas/s_targetUserInfo"},"value":{"$ref":"#/components/schemas/s_usergroup_value"}}},"req_groupupdate":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"createDate":{"$ref":"#/components/schemas/s_createDate"},"createTime":{"$ref":"#/components/schemas/s_createTime"},"groupName":{"$ref":"#/components/schemas/s_groupName"},"isParent":{"$ref":"#/components/schemas/s_isParent"},"loginInfo":{"$ref":"#/components/schemas/s_loginInfo"},"ownerUserId":{"$ref":"#/components/schemas/s_ownerUserId"},"su":{"$ref":"#/components/schemas/s_su"},"targetUserInfo":{"$ref":"#/components/schemas/s_targetUserInfo"},"value":{"$ref":"#/components/schemas/s_usergroup_value"},"updateDate":{"$ref":"#/components/schemas/s_updateDate"},"updateTime":{"$ref":"#/components/schemas/s_updateTime"}}},"rsp_login":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_rlogindata"}}},"rsp_list":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage"}}},"rsp_listWithUSer":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage2"}}},"rsp_imei":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"deviceName":{"$ref":"#/components/schemas/s_deviceName"},"telNumber":{"$ref":"#/components/schemas/s_telNumber"},"systemVersion":{"$ref":"#/components/schemas/s_systemVersion"},"userId":{"$ref":"#/components/schemas/s_userId"},"serialCode":{"$ref":"#/components/schemas/s_serialCode"},"iccid":{"$ref":"#/components/schemas/s_iccid"},"startDate":{"$ref":"#/components/schemas/s_startDate"},"endDate":{"$ref":"#/components/schemas/s_endDate"},"model":{"$ref":"#/components/schemas/s_model"},"switchFlag":{"$ref":"#/components/schemas/s_switchFlag"},"intervalSetting":{"$ref":"#/components/schemas/s_intervalSetting"},"contacts":{"$ref":"#/components/schemas/s_contacts"},"sosContacts":{"$ref":"#/components/schemas/s_sosContacts"},"sosDialTimeInSecs":{"$ref":"#/components/schemas/s_sosDialTimeInSecs"},"threshold":{"$ref":"#/components/schemas/s_threshold"},"updateTime":{"$ref":"#/components/schemas/s_updatedDate"},"updateBy":{"$ref":"#/components/schemas/s_updateBy"},"flagDelete":{"$ref":"#/components/schemas/s_flagDelete"},"managerUserId":{"$ref":"#/components/schemas/s_managerUserId"}}},"rsp_result":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"}}},"rsp_result_user":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_user_basic"}}},"rsp_bindlog":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage3"}}},"rsp_userlist":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage4"}}},"rsp_userdata":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_userdata"}}},"rsp_masterall":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage5"}}},"rsp_byuserid":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage6"}}},"rsp_temperature":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_temperature"}}},"rsp_heartrate":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_heartrate"}}},"rsp_bloodpressure":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_bloodpressure"}}},"rsp_bloodoxygen":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_bloodoxygen"}}},"rsp_location":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_location"}}},"rsp_stepcount":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_stepcount"}}},"rsp_intervalsetting":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_intervalsetting"}}},"rsp_contactall":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_contact"}}},"rsp_contacts":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/req_contacts"}}},"rsp_soscontacts":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/req_soscontacts"}}},"rsp_soscontacts_with_dial_time":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/rsp_sosContacts_and_dial_time"}}},"rsp_sosContacts_and_dial_time":{"type":"object","properties":{"sosContacts":{"$ref":"#/components/schemas/req_soscontacts"},"sosDialTimeInSecs":{"$ref":"#/components/schemas/s_sosDialTimeInSecs"}}},"rsp_threshold":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_threshold"}}},"rsp_temperature_loc":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_temperature_loc"}}},"rsp_heartrate_loc":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_heartrate_loc"}}},"rsp_bloodpressure_loc":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_bloodpressure_loc"}}},"rsp_bloodoxygen_loc":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_bloodoxygen_loc"}}},"rsp_stepcount_loc":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_stepcount_loc"}}},"rsp_all_loc":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_all_loc"}}},"rsp_switch":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_allswitch"}}},"rsp_notification_setting":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_notification_setting"}}},"rsp_notice_list":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_notice"}}},"rsp_alert_list":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_alert"}}},"rsp_app_link":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_app_link"}}},"rsp_sendemail":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_sendemail"}}},"rsp_rstpassword":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_sendemail"}}},"rsp_settinginfo":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_settinginfo"}}},"rsp_settinginfos":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"type":"array","items":{"$ref":"#/components/schemas/s_settinginfo"}}}},"rsp_device_setting":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_device_setting_data"}}},"rsp_findbyuserid":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_findbyuserid"}}},"rsp_grouplist":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"groupName":{"$ref":"#/components/schemas/s_groupName"},"value":{"$ref":"#/components/schemas/s_usergroup_value"}}},"rsp_version":{"type":"array","items":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"versionName":{"$ref":"#/components/schemas/s_versionName"},"description":{"$ref":"#/components/schemas/s_description"},"downloadURL":{"$ref":"#/components/schemas/s_downloadURL"},"flagDelete":{"$ref":"#/components/schemas/s_flagDelete"},"updatedBy":{"$ref":"#/components/schemas/s_updatedBy"},"updateDate":{"$ref":"#/components/schemas/s_updateDate"},"createDate":{"$ref":"#/components/schemas/s_createDate"}}}},"rsp_dl_msg_list":{"type":"array","items":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_findDlMsgListByImei"}}}},"rsp_dl_msg_list_my":{"type":"array","items":{"type":"object","properties":{"total":{"$ref":"#/components/schemas/s_total"},"pageNumber":{"$ref":"#/components/schemas/s_pagenumber"},"pageSize":{"$ref":"#/components/schemas/s_pagesize"},"currentPage":{"$ref":"#/components/schemas/s_currentpage_findDlMsgListByUserId"}}}},"rsp_sedentaryWarningSettings":{"type":"object","properties":{"result":{"$ref":"#/components/schemas/s_result"},"data":{"$ref":"#/components/schemas/s_sedentaryWarningSettings"}}},"s_refreshToken":{"description":"リフレッシュトークン","type":"string"},"s_id":{"description":"ＩD","type":"integer"},"s_name":{"description":"ユーザー名","type":"string"},"s_email":{"description":"ユーザーのメールアドレス","type":"string"},"s_password":{"description":"ユーザーのパスワード","type":"string"},"s_rlogindata":{"type":"object","properties":{"token":{"$ref":"#/components/schemas/s_token"},"expiresInSecond":{"$ref":"#/components/schemas/s_expireInSecond"},"refreshToken":{"$ref":"#/components/schemas/s_refreshToken"},"email":{"$ref":"#/components/schemas/s_email"},"firebaseUser":{"$ref":"#/components/schemas/s_firebaseUser"},"versionConfirm":{"$ref":"#/components/schemas/s_versionConfirm"}}},"s_token":{"description":"アクセストークン","type":"string"},"s_expireInSecond":{"description":"トークンの有効期間（秒）","type":"integer","maximum":3600,"minimum":3600},"s_firebaseUser":{"type":"object","properties":{"uid":{"$ref":"#/components/schemas/s_uid"},"tenantId":{"$ref":"#/components/schemas/s_tenantid"},"email":{"$ref":"#/components/schemas/s_email"},"phoneNumber":{"$ref":"#/components/schemas/s_phonenumber"},"emailVerified":{"$ref":"#/components/schemas/s_emailVerified"},"displayName":{"$ref":"#/components/schemas/s_displayName"},"photoUrl":{"$ref":"#/components/schemas/s_photourl"},"disabled":{"$ref":"#/components/schemas/s_disabled"},"creationTimestamp":{"$ref":"#/components/schemas/s_creationTimestamp"},"lastSignInTimestamp":{"$ref":"#/components/schemas/s_lastsignInTimestamp"}}},"s_uid":{"description":"ＵＩＤ","type":"string"},"s_tenantid":{"description":"テナントＩＤ","type":"string"},"s_phonenumber":{"description":"電話番号","type":"string"},"s_emailVerified":{"description":"メールアドレス確認","type":"string"},"s_displayName":{"description":"表示名","type":"string"},"s_photourl":{"description":"写真場所","type":"string"},"s_disabled":{"description":"無効フラグ","type":"boolean"},"s_creationTimestamp":{"description":"生成時間","type":"string"},"s_lastsignInTimestamp":{"description":"最終サインイン時間","type":"string"},"s_versionConfirm":{"description":"バージョン確認","type":"boolean"},"s_total":{"description":"総数","type":"integer"},"s_pagenumber":{"description":"ページ割のページ番号","type":"integer"},"s_pagesize":{"description":"ページ割のページサイズ","type":"integer"},"s_currentpage":{"type":"array","items":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"deviceName":{"$ref":"#/components/schemas/s_deviceName"},"telNumber":{"$ref":"#/components/schemas/s_telNumber"},"systemVersion":{"$ref":"#/components/schemas/s_systemVersion"},"userId":{"$ref":"#/components/schemas/s_userId"}}}},"s_currentpage2":{"type":"array","items":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"deviceName":{"$ref":"#/components/schemas/s_deviceName"},"telNumber":{"$ref":"#/components/schemas/s_telNumber"},"systemVersion":{"$ref":"#/components/schemas/s_systemVersion"},"userId":{"$ref":"#/components/schemas/s_userId"},"managerUserId":{"$ref":"#/components/schemas/s_managerUserId"},"managerUserName":{"$ref":"#/components/schemas/s_managerUserName"},"managerUserEmail":{"$ref":"#/components/schemas/s_managerUserEmail"},"bindingUserId":{"$ref":"#/components/schemas/s_bindingUserId"},"bindingUserName":{"$ref":"#/components/schemas/s_bindingUserName"},"bindingUserEmail":{"$ref":"#/components/schemas/s_bindingUserEmail"}}}},"s_currentpage3":{"type":"array","items":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"deviceName":{"$ref":"#/components/schemas/s_deviceName"},"records":{"$ref":"#/components/schemas/s_records"}}}},"s_currentpage4":{"type":"array","items":{"$ref":"#/components/schemas/s_userdata"}},"s_currentpage5":{"type":"array","items":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"userName":{"description":"ユーザー名","type":"string"},"katakana":{"description":"カタカナ","type":"string"},"gender":{"description":"性別","type":"string"},"picture":{"description":"写真","type":"string"},"devices":{"description":"バインドしてるデバイス","type":"array","items":{"$ref":"#/components/schemas/s_devices"}}}}},"s_currentpage6":{"type":"array","items":{"type":"object","properties":{"id":{"description":"ID","type":"string"},"name":{"description":"ユーザー名","type":"string"},"katakana":{"description":"カタカナ","type":"string"},"gender":{"description":"性別","type":"string"},"picture":{"description":"写真","type":"string"},"userId":{"$ref":"#/components/schemas/s_userId"},"userName":{"description":"ユーザー名","type":"string"},"imei":{"$ref":"#/components/schemas/s_imei"},"heartRate":{"$ref":"#/components/schemas/s_heartRate"},"temparature":{"$ref":"#/components/schemas/s_temperature"},"bloodPressure":{"$ref":"#/components/schemas/s_bloodPressure"},"bloodOxygen":{"$ref":"#/components/schemas/s_bloodOxygen"},"location":{"$ref":"#/components/schemas/s_location"},"stepCount":{"$ref":"#/components/schemas/s_stepCount"},"timestamp":{"$ref":"#/components/schemas/s_timestamp"},"date":{"$ref":"#/components/schemas/s_date"},"time":{"$ref":"#/components/schemas/s_time"}}}},"s_currentpage_temperature":{"type":"array","items":{"$ref":"#/components/schemas/s_temperature"}},"s_currentpage_heartrate":{"type":"array","items":{"$ref":"#/components/schemas/s_heartRate"}},"s_currentpage_bloodpressure":{"type":"array","items":{"$ref":"#/components/schemas/s_bloodPressure"}},"s_currentpage_bloodoxygen":{"type":"array","items":{"$ref":"#/components/schemas/s_bloodOxygen"}},"s_currentpage_location":{"type":"array","items":{"$ref":"#/components/schemas/s_location"}},"s_currentpage_stepcount":{"type":"array","items":{"$ref":"#/components/schemas/s_stepCount"}},"s_currentpage_contact":{"type":"array","items":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"userId":{"$ref":"#/components/schemas/s_userId"},"telephoneNumber":{"$ref":"#/components/schemas/s_telNumber"},"name":{"$ref":"#/components/schemas/s_name"},"memo":{"$ref":"#/components/schemas/s_memo"},"updateTime":{"$ref":"#/components/schemas/s_updateTime"}}}},"s_currentpage_temperature_loc":{"type":"array","items":{"type":"object","properties":{"temperature":{"$ref":"#/components/schemas/s_temperature"},"location":{"$ref":"#/components/schemas/s_location"}}}},"s_currentpage_heartrate_loc":{"type":"array","items":{"type":"object","properties":{"heartRate":{"$ref":"#/components/schemas/s_heartRate"},"location":{"$ref":"#/components/schemas/s_location"}}}},"s_currentpage_bloodpressure_loc":{"type":"array","items":{"type":"object","properties":{"bloodPressure":{"$ref":"#/components/schemas/s_bloodPressure"},"location":{"$ref":"#/components/schemas/s_location"}}}},"s_currentpage_bloodoxygen_loc":{"type":"array","items":{"type":"object","properties":{"bloodOxygen":{"$ref":"#/components/schemas/s_bloodOxygen"},"location":{"$ref":"#/components/schemas/s_location"}}}},"s_currentpage_stepcount_loc":{"type":"array","items":{"type":"object","properties":{"stepCount":{"$ref":"#/components/schemas/s_stepCount"},"location":{"$ref":"#/components/schemas/s_location"}}}},"s_currentpage_all_loc":{"type":"array","items":{"type":"object","properties":{"temperature":{"$ref":"#/components/schemas/s_temperature"},"heartRate":{"$ref":"#/components/schemas/s_heartRate"},"bloodPressure":{"$ref":"#/components/schemas/s_bloodPressure"},"bloodOxygen":{"$ref":"#/components/schemas/s_bloodOxygen"},"stepCount":{"$ref":"#/components/schemas/s_stepCount"},"location":{"$ref":"#/components/schemas/s_location"}}}},"s_currentpage_notice":{"type":"array","items":{"type":"object","properties":{"id":{"description":"ID","type":"string"},"notificationID":{"description":"通知ID","type":"string"},"notificationType":{"description":"通知タイプ","type":"string"},"appPushTs":{"description":"APP PUSH日時","type":"string"},"webPushTs":{"description":"WEB PUSH日時","type":"string"},"readTs":{"description":"読み込み日時","type":"string"},"title":{"description":"タイトル","type":"string"},"detail":{"description":"詳細","type":"string"},"createTimeStamp":{"description":"作成日時","type":"string"}}}},"s_currentpage_alert":{"type":"array","items":{"type":"object","properties":{"id":{"description":"ID","type":"string"},"notificationID":{"description":"通知ID","type":"string"},"notificationType":{"description":"通知タイプ","type":"string"},"appPushTs":{"description":"APP PUSH日時","type":"string"},"webPushTs":{"description":"WEB PUSH日時","type":"string"},"readTs":{"description":"読み込み日時","type":"string"},"sourceUserId":{"description":"アラート源ユーザーID","type":"string"},"sourceUserName":{"description":"アラート源ユーザー名","type":"string"},"sourceUserEmail":{"description":"アラート源ユーザーメールアドレス","type":"string"},"sourceImei":{"description":"アラート源imei","type":"string"},"sourceDeviceName":{"description":"アラート源デバイス名","type":"string"},"detail":{"description":"詳細","type":"string"},"createTimeStamp":{"description":"作成日時","type":"string"}}}},"s_currentpage_findbyuserid":{"type":"array","items":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"imei":{"$ref":"#/components/schemas/s_imei"},"startTime":{"$ref":"#/components/schemas/s_startTime"},"updatedBy":{"$ref":"#/components/schemas/s_updatedBy"},"deviceName":{"$ref":"#/components/schemas/s_deviceName"}}}},"s_currentpage_findDlMsgListByImei":{"type":"array","items":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"imei":{"$ref":"#/components/schemas/s_imei"},"msgContent":{"$ref":"#/components/schemas/s_msgContent"},"isSentSuccess":{"$ref":"#/components/schemas/s_result"},"operatedTimestamp":{"$ref":"#/components/schemas/s_timestamp"},"operatedBySystem":{"$ref":"#/components/schemas/s_operatedBySystem"},"operatedUserId":{"$ref":"#/components/schemas/s_updatedBy"},"operatedUserName":{"$ref":"#/components/schemas/s_operatedUserName"},"operatedUserEmail":{"$ref":"#/components/schemas/s_operatedUserEmail"}}}},"s_currentpage_findDlMsgListByUserId":{"type":"array","items":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"imei":{"$ref":"#/components/schemas/s_imei"},"targetDeviceName":{"$ref":"#/components/schemas/s_deviceName"},"msgContent":{"$ref":"#/components/schemas/s_msgContent"},"isSentSuccess":{"$ref":"#/components/schemas/s_result"},"operatedTimestamp":{"$ref":"#/components/schemas/s_timestamp"},"operatedBySystem":{"$ref":"#/components/schemas/s_operatedBySystem"}}}},"s_userdata":{"description":"ユーザー情報","type":"object","properties":{"id":{"description":"ID","type":"string"},"name":{"description":"名前","type":"string"},"katakana":{"description":"カタカナ","type":"string"},"gender":{"description":"性別","type":"string"},"picture":{"description":"写真","type":"string"},"email":{"description":"メールアドレス","type":"string"},"firebaseUid":{"description":"認証フレームワーク中のユーザーID","type":"string"},"height":{"description":"身長","type":"string"},"weight":{"description":"体重","type":"string"},"historyDisease":{"description":"病気履歴","type":"string"},"birthday":{"description":"誕生日","type":"string"},"threshold":{"$ref":"#/components/schemas/s_threshold"},"job":{"description":"職業","type":"string"},"flagManager":{"description":"管理者フラグ","type":"boolean"},"updateDate":{"description":"更新時間","type":"string"},"updatedBy":{"description":"更新ユーザー","type":"integer"},"flagDelete":{"description":"管理者フラグ","type":"boolean"},"managerUserId":{"description":"管理者ID","type":"string"},"managerName":{"description":"管理者名","type":"string"},"managerEmail":{"description":"管理者メールアドレス","type":"string"},"role":{"description":"役割","type":"string"},"uid":{"description":"UID","type":"string"},"password":{"description":"パスワード","type":"string"},"idToken":{"description":"アクセストークン","type":"string"},"alertCount":{"description":"アラート数","type":"integer"},"imei":{"description":"imei","type":"string"},"deviceName":{"description":"デバイス名","type":"string"},"telNumber":{"description":"電話番号","type":"string"},"deviceBindingList":{"$ref":"#/components/schemas/s_deviceBindingList"}}},"s_user_basic":{"description":"ユーザー基本情報","type":"object","properties":{"id":{"description":"ID","type":"integer"},"name":{"description":"名前","type":"string"},"katakana":{"description":"カタカナ","type":"string"},"gender":{"description":"性別","type":"string"},"picture":{"description":"アイコンURI","type":"string"},"managerUserId":{"description":"管理者ID","type":"integer"},"updatedBy":{"description":"更新者ID","type":"integer"}}},"s_imei":{"description":"デバイスの識別番号(International Mobile Equipment Identifier)","type":"string"},"s_deviceName":{"type":"string","description":"デバイス名"},"s_telNumber":{"description":"電話番号","type":"string"},"s_systemVersion":{"description":"システムバージョン","type":"string"},"s_userId":{"description":"ユーザーID","type":"integer"},"s_userIds":{"type":"array","items":{"type":"integer"}},"s_managerUserId":{"description":"管理者ユーザーのID","type":"string"},"s_managerUserName":{"description":"管理者ユーザーの名前","type":"string"},"s_managerUserEmail":{"description":"管理者ユーザーのメールアドレス","type":"string"},"s_bindingUserId":{"description":"使用者ユーザーのID","type":"string"},"s_bindingUserName":{"description":"使用者ユーザーの名前","type":"string"},"s_bindingUserEmail":{"description":"使用者ユーザーのメールアドレス","type":"string"},"s_serialCode":{"description":"シリアル番号","type":"string"},"s_iccid":{"description":"SIMの識別番号(IC Card IDentifier)","type":"string"},"s_startDate":{"description":"開始時間","type":"string"},"s_endDate":{"description":"終了時間","type":"string"},"s_model":{"description":"モデル","type":"string"},"s_switchFlag":{"type":"object","properties":{"gpsOn":{"$ref":"#/components/schemas/s_gpsOn"},"temperatureOn":{"$ref":"#/components/schemas/s_temperatureOn"},"heartRateOn":{"$ref":"#/components/schemas/s_heartRateOn"},"bloodPressureOn":{"$ref":"#/components/schemas/s_bloodPressureOn"},"bloodOxygenOn":{"$ref":"#/components/schemas/s_bloodOxygenOn"},"locationOn":{"$ref":"#/components/schemas/s_locationOn"},"cameraOn":{"$ref":"#/components/schemas/s_cameraOn"},"stepCountOn":{"$ref":"#/components/schemas/s_stepCountOn"},"receiveVitalDataAlert":{"$ref":"#/components/schemas/s_receiveVitalDataAlert"}}},"s_gpsOn":{"description":"GPSフラグ","type":"boolean"},"s_temperatureOn":{"description":"検温フラグ","type":"boolean"},"s_heartRateOn":{"description":"心拍数フラグ","type":"boolean"},"s_bloodPressureOn":{"description":"血圧フラグ","type":"boolean"},"s_bloodOxygenOn":{"description":"血液酸素フラグ","type":"boolean"},"s_locationOn":{"description":"ロケーションフラグ","type":"boolean"},"s_cameraOn":{"description":"カメラフラグ","type":"boolean"},"s_stepCountOn":{"description":"歩数フラグ","type":"boolean"},"s_receiveVitalDataAlert":{"description":"バイタルデータアラート受信フラグ","type":"boolean"},"s_intervalSetting":{"type":"object","properties":{"locationInterval":{"$ref":"#/components/schemas/s_locationInterval"},"bodyTemperatureInterval":{"$ref":"#/components/schemas/s_bodyTemperatureInterval"},"heartRateBloodPressOxygenInterval":{"$ref":"#/components/schemas/s_heartRateBloodPressOxygenInterval"}}},"s_locationInterval":{"description":"ロケーション測定間隔","type":"integer"},"s_bodyTemperatureInterval":{"description":"検温測定間隔","type":"integer"},"s_heartRateBloodPressOxygenInterval":{"description":"心拍数・血圧・血液酸素測定間隔","type":"integer"},"s_contacts":{"description":"連絡先（最大１０個まで）","type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"id"},"userId":{"type":"integer","description":"userId"},"telephoneNumber":{"type":"string","description":"電話番号"},"name":{"type":"string","description":"名前"}}}},"s_sosContacts":{"description":"緊急連絡先（最大３個まで）","type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"id"},"userId":{"type":"integer","description":"userId"},"telephoneNumber":{"type":"string","description":"電話番号"},"name":{"type":"string","description":"名前"}}}},"s_sosDialTimeInSecs":{"description":"SOSダイアル時間","type":"number","default":30},"s_threshold":{"type":"object","properties":{"bodyTemperatureFrom":{"type":"number","format":"float","description":"高温閾値"},"bodyTemperatureTo":{"type":"number","format":"float","description":"低温閾値"},"systolicBloodPressureFrom":{"type":"integer","description":"収縮期高血圧閾値"},"systolicBloodPressureTo":{"type":"integer","description":"収縮期低血圧閾値"},"diasttolicBloodPressureFrom":{"type":"integer","description":"拡張期高血圧閾値"},"diastolicBloodPressureTo":{"type":"integer","description":"拡張期低血圧閾値"},"bloodOxygenMin":{"type":"integer","description":"拡張期低血圧閾値"},"enviromentTemperatureFrom":{"type":"number","format":"float","description":"高温閾値"},"enviromentTemperatureTo":{"type":"number","format":"float","description":"低温閾値"},"heartRateFrom":{"type":"integer","description":"高心拍数閾値"},"heartRateTo":{"type":"integer","description":"低心拍数閾値"}}},"s_updatedDate":{"description":"最終更新日時","type":"string"},"s_updateBy":{"description":"更新者ユーザーＩＤ","type":"string"},"s_flagDelete":{"description":"フラグ削除","type":"boolean"},"s_result":{"description":"結果","type":"boolean"},"s_records":{"type":"array","items":{"type":"object","properties":{"imei":{"type":"string","description":"imei"},"startTime":{"type":"string","description":"開始時間"},"deviceName":{"type":"string","description":"デバイス名"},"endTime":{"type":"string","description":"終了時間"},"bindingUserId":{"type":"string","description":"バインドユーザーユーザーID"},"bindingUserName":{"type":"string","description":"バインドユーザー名"},"bindingUserEmail":{"type":"string","description":"バインドユーザーメールアドレス"},"bindingUserDelete":{"type":"boolean","description":"削除フラグ"}}}},"s_deviceBindingList":{"description":"デバイスバインドリスト","type":"array","items":{"type":"object","properties":{"userId":{"type":"integer","description":"userId"},"imei":{"type":"string","description":"imei"},"startTime":{"type":"string","description":"開始時間"},"updatedBy":{"type":"integer","description":"更新ユーザー"},"deviceName":{"type":"string","description":"デバイス名"}}}},"s_heartRate":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"imei":{"$ref":"#/components/schemas/s_imei"},"value":{"$ref":"#/components/schemas/s_heartrate_value"},"timestamp":{"$ref":"#/components/schemas/s_timestamp"},"date":{"$ref":"#/components/schemas/s_date"},"time":{"$ref":"#/components/schemas/s_time"}}},"s_heartrate_value":{"description":"心拍数","type":"integer"},"s_timestamp":{"description":"タイムスタンプ","type":"string"},"s_date":{"description":"年月日","type":"string"},"s_time":{"description":"時間","type":"string"},"s_updateTime":{"description":"更新時間","type":"string"},"s_memo":{"description":"メモ","type":"string"},"s_temperature":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"imei":{"$ref":"#/components/schemas/s_imei"},"value":{"$ref":"#/components/schemas/s_temperature_value"},"timestamp":{"$ref":"#/components/schemas/s_timestamp"},"date":{"$ref":"#/components/schemas/s_date"},"time":{"$ref":"#/components/schemas/s_time"}}},"s_temperature_value":{"description":"温度","type":"object","properties":{"skinTemperature":{"type":"number","format":"float","description":"肌温度"},"bodyTemperature":{"type":"number","format":"float","description":"体温"},"environmentTemperature":{"type":"number","format":"float","description":"環境温度"}}},"s_bloodPressure":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"imei":{"$ref":"#/components/schemas/s_imei"},"value":{"$ref":"#/components/schemas/s_bloodpressure_value"},"timestamp":{"$ref":"#/components/schemas/s_timestamp"},"date":{"$ref":"#/components/schemas/s_date"},"time":{"$ref":"#/components/schemas/s_time"}}},"s_bloodpressure_value":{"description":"血圧","type":"object","properties":{"systolicBloodPressureValue":{"type":"integer","description":"収縮期血圧"},"diastolicbloodPressureValue":{"type":"integer","description":"拡張期血圧"}}},"s_bloodOxygen":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"imei":{"$ref":"#/components/schemas/s_imei"},"value":{"$ref":"#/components/schemas/s_bloodoxygen_value"},"timestamp":{"$ref":"#/components/schemas/s_timestamp"},"date":{"$ref":"#/components/schemas/s_date"},"time":{"$ref":"#/components/schemas/s_time"}}},"s_bloodoxygen_value":{"description":"血液酸素","type":"integer"},"s_location":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"imei":{"$ref":"#/components/schemas/s_imei"},"value":{"$ref":"#/components/schemas/s_location_value"},"timestamp":{"$ref":"#/components/schemas/s_timestamp"},"date":{"$ref":"#/components/schemas/s_date"},"time":{"$ref":"#/components/schemas/s_time"}}},"s_location_value":{"description":"位置","type":"object","properties":{"latitude":{"type":"number","format":"float","description":"緯度"},"longitude":{"type":"number","format":"float","description":"経度"},"accuracy":{"type":"number","format":"float","description":"精度"},"locateMethod":{"type":"string","description":"測定方法"}}},"s_stepCount":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"imei":{"$ref":"#/components/schemas/s_imei"},"value":{"$ref":"#/components/schemas/s_stepcount_value"},"timestamp":{"$ref":"#/components/schemas/s_timestamp"},"date":{"$ref":"#/components/schemas/s_date"},"time":{"$ref":"#/components/schemas/s_time"}}},"s_stepcount_value":{"description":"歩数","type":"integer"},"s_devices":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"deviceName":{"$ref":"#/components/schemas/s_deviceName"},"telNumber":{"$ref":"#/components/schemas/s_telNumber"},"systemVersion":{"$ref":"#/components/schemas/s_systemVersion"},"userId":{"$ref":"#/components/schemas/s_userId"},"batteryPercentage":{"type":"integer","description":"バッテリー残量（パーセント）"},"carrierSignalStrength":{"type":"integer","description":"キャリア信号強度"},"satelliteCount":{"type":"integer","description":"衛星数"},"lastHbtime":{"type":"string","description":"最終ハートビート時間"},"isCharging":{"type":"boolean","description":"充電フラグ"},"id":{"type":"integer","description":"ＩD"},"heartRate":{"$ref":"#/components/schemas/s_heartRate"},"temparature":{"$ref":"#/components/schemas/s_temperature"},"bloodPressure":{"$ref":"#/components/schemas/s_bloodPressure"},"bloodOxygen":{"$ref":"#/components/schemas/s_bloodOxygen"},"location":{"$ref":"#/components/schemas/s_location"},"stepCount":{"$ref":"#/components/schemas/s_stepCount"},"timestamp":{"$ref":"#/components/schemas/s_timestamp"},"date":{"$ref":"#/components/schemas/s_date"},"time":{"$ref":"#/components/schemas/s_time"},"online":{"$ref":"#/components/schemas/s_online_flag"},"wearing":{"$ref":"#/components/schemas/s_wearing_flag"}}},"s_online_flag":{"type":"boolean","description":"オンラインフラグ"},"s_wearing_flag":{"type":"boolean","description":"装着中フラグ"},"s_intervalsetting":{"type":"object","properties":{"locationInterval":{"type":"integer","description":"位置測定間隔"},"bodyTemperatureInterval":{"type":"integer","description":"体温測定間隔"},"heartRateBloodPressOxygenInterval":{"type":"integer","description":"心拍数・血圧・血中酸素濃度測定間隔"}}},"s_period":{"description":"周期","type":"integer"},"s_from":{"description":"最小値","type":"integer"},"s_to":{"description":"最大値","type":"integer"},"s_allswitch":{"description":"全スイッチ情報","type":"object","properties":{"gpsOn":{"description":"ＧＰＳ使用フラグ","type":"boolean"},"temperatureOn":{"description":"検温フラグ","type":"boolean"},"heartRateOn":{"description":"心拍数測定フラグ","type":"boolean"},"bloodPressureOn":{"description":"血圧測定フラグ","type":"boolean"},"bloodOxygenOn":{"description":"血中酸素濃度フラグ","type":"boolean"},"locationOn":{"description":"位置測定フラグ","type":"boolean"},"cameraOn":{"description":"カメラ使用フラグ","type":"boolean"},"stepCountOn":{"description":"歩数測定フラグ","type":"boolean"},"receiveVitalDataAlertOn":{"description":"バイタルデータ通知受信フラグ","type":"boolean"}}},"s_notification_setting":{"type":"object","properties":{"userId":{"$ref":"#/components/schemas/s_userId"},"alertsettings":{"$ref":"#/components/schemas/s_notice_settings"},"notificationsettings":{"$ref":"#/components/schemas/s_notice_settings"}}},"s_notice_settings":{"type":"object","properties":{"receive":{"type":"boolean"},"receivePush":{"type":"boolean"},"receiveMail":{"type":"boolean"},"receiveMailList":{"type":"array","items":{"type":"string"}}}},"s_notice_registry":{"type":"object","properties":{"registrationType":{"description":"登録タイプ","type":"string"},"registrationToken":{"description":"firebaseのPUSH機能のトークン(取得方法は別途相談)","type":"string"}}},"s_app_link":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/s_id"},"userId":{"$ref":"#/components/schemas/s_userId"},"lineworksBotSettings":{"$ref":"#/components/schemas/s_lineworks_setting"}}},"s_lineworks_setting":{"description":"LINEWORKS BOT設定","type":"object","properties":{"isEnable":{"description":"イネーブルフラグ","type":"boolean"},"appID":{"description":"APP ID","type":"string"},"serverConsumerKey":{"description":"サーバーキー","type":"string"},"serverToken":{"description":"サーバートークン","type":"string"},"botID":{"description":"BOT ID","type":"string"},"tergetRoomID":{"description":"TARGETROOM ID","type":"string"}}},"s_sendemail":{"description":"応答データ","type":"object","properties":{"token":{"description":"アクセストークン","type":"string"},"expireInSecond":{"description":"期限切れ時間","type":"integer"},"refreshToken":{"description":"リフレッシュトークン","type":"string"},"email":{"description":"メールアドレス"},"firebaseUser":{"$ref":"#/components/schemas/s_firebaseUser"},"versionConfirm":{"description":"バージョン確認フラグ","type":"boolean"}}},"s_firebase_userdata":{"description":"firebaseユーザー情報","type":"object","properties":{"name":{"description":"名前","type":"string"},"katakana":{"description":"カタカナ","type":"string"},"job":{"description":"職業","type":"string"},"gender":{"description":"性別","type":"string"},"birthday":{"description":"誕生日","type":"string"},"height":{"description":"身長","type":"string"},"weight":{"description":"体重","type":"string"},"email":{"description":"メールアドレス","type":"string"},"password":{"description":"パスワード","type":"string"}}},"s_settinginfo":{"description":"ユーザー設定情報","type":"object","properties":{"id":{"description":"ID","type":"string"},"userId":{"description":"ユーザーID","type":"string"},"switchFlag":{"$ref":"#/components/schemas/s_switchFlag"},"intervalSetting":{"$ref":"#/components/schemas/s_intervalSetting"},"threshold":{"$ref":"#/components/schemas/s_threshold"},"updatedBy":{"description":"更新ユーザーID","type":"integer"},"updateDate":{"$ref":"#/components/schemas/s_updateDate"},"createDate":{"$ref":"#/components/schemas/s_createDate"}}},"s_device_setting_data":{"description":"デバイス設定情報","type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"switchFlag":{"$ref":"#/components/schemas/s_switchFlag"},"intervalSetting":{"$ref":"#/components/schemas/s_intervalSetting"},"threshold":{"$ref":"#/components/schemas/s_threshold"}}},"s_startTime":{"description":"開始時間","type":"string"},"s_updatedBy":{"description":"更新ユーザーID","type":"integer"},"s_groupName":{"description":"グループ名","type":"string"},"s_usergroup_value":{"type":"array","items":{"$ref":"#/components/schemas/s_userdata"}},"s_versionName":{"description":"バージョン名","type":"string"},"s_description":{"description":"説明","type":"string"},"s_downloadURL":{"description":"ダウンロードURL","type":"string"},"s_updateDate":{"description":"更新日付","type":"string"},"s_createDate":{"description":"作成日付","type":"string"},"s_loginInfo":{"description":"設定不要","type":"object"},"s_targetUserInfo":{"description":"設定不要","type":"object"},"s_createTime":{"description":"作成時刻","type":"string"},"s_su":{"description":"不要","type":"string"},"s_ownerUserId":{"description":"作成者ID","type":"integer"},"s_isParent":{"description":"不要","type":"boolean"},"s_msgContent":{"description":"送信内容","type":"string"},"s_operatedBySystem":{"description":"システム操作","type":"boolean"},"s_operatedUserName":{"description":"操作ユーザー名","type":"string"},"s_operatedUserEmail":{"description":"操作ユーザーのメールアドレス","type":"string"},"dl_msg":{"type":"object","properties":{"message":{"$ref":"#/components/schemas/s_msgContent"}}},"s_sedentaryWarningSettings":{"type":"object","properties":{"imei":{"$ref":"#/components/schemas/s_imei"},"isEnable":{"type":"boolean","description":"使用フラグ"},"notificationType":{"type":"integer","description":"通知タイプ：1(お知らせ) 2(アラート)","minimum":1,"maximum":2},"sedentaryTime":{"type":"integer","description":"長時間静止と思われる時間（分単位）","minimum":5,"maximum":86400}}}},"parameters":{"parm_refresh_token":{"in":"query","name":"refresh_token","description":"リフレッシュトークンの値","required":true,"schema":{"type":"string"}},"parm_security":{"in":"header","name":"Authorization","description":"認証APIが返したアクセストークン","required":true,"schema":{"type":"string"}}}}}